Package com.collabnet.ce.soap60.webservices.pluggable

# Class PluggableComponentSoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentSoapRow

public class PluggableComponentSoapRow extends Object
List of Pluggable components.

Since:
  5.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PluggableComponentSoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBaseurl()`
  Returns 'baseurl'.
  `boolean`
  `getEnabled()`
  Returns 'enabled'.
  `String`
  `getIconId()`
  Returns 'iconId'.
  `String`
  `getName()`
  Returns 'name'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setBaseurl(String baseurl)`
  Sets 'baseurl'.
  `void`
  `setEnabled(boolean enabled)`
  Sets 'enabled'.
  `void`
  `setIconId(String iconId)`
  Sets 'iconId'.
  `void`
  `setName(String name)`
  Sets 'name'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PluggableComponentSoapRow

    public PluggableComponentSoapRow()

- ## Method Details

  - ### getName

    public String getName()
    Returns 'name'. Name for Pluggable component.
    Returns:
      Value of 'name'.

  - ### setName

    public void setName(String name)
    Sets 'name'. Name for Pluggable component.
    Parameters:
      `name` - Value of 'name'.

  - ### getBaseurl

    public String getBaseurl()
    Returns 'baseurl'. BaseUrl of pluggable component
    Returns:
      Value of 'baseurl'.

  - ### setBaseurl

    public void setBaseurl(String baseurl)
    Sets 'baseurl'. BaseUrl of pluggable component
    Parameters:
      `baseurl` - Value of 'baseurl'.

  - ### getIconId

    public String getIconId()
    Returns 'iconId'. icon file id for the pluggable component
    Returns:
      Value of 'iconId'.

  - ### setIconId

    public void setIconId(String iconId)
    Sets 'iconId'. icon file id for the pluggable component
    Parameters:
      `iconId` - Value of 'iconId'.

  - ### getEnabled

    public boolean getEnabled()
    Returns 'enabled'. is the appliation enabled/disabled
    Returns:
      Value of 'enabled'.

  - ### setEnabled

    public void setEnabled(boolean enabled)
    Sets 'enabled'. is the appliation enabled/disabled
    Parameters:
      `enabled` - Value of 'enabled'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)